Qt 5.6 | Qt 3D | QML Types | GraphicsApiFilter QML Type

Qt 5.6.3 Reference Documentation

# GraphicsApiFilter QML Type

For OpenGL ... More...

Import Statement: | import Qt3D.Render 2.0
Since: | Qt 5.5
Instantiates: | QGraphicsApiFilter

- List of all members, including inherited members

## Properties

- api : enumeration
- extensions : stringlist
- majorVersion : int
- minorVersion : int
- profile : enumeration
- vendor : string

## Detailed Description

## Property Documentation

api : enumeration

Constant | Description
--- | ---
`OpenGLES` | QSurfaceFormat::OpenGLES
`OpenGL` | QSurfaceFormat::OpenGL

extensions : stringlist

majorVersion : int

minorVersion : int

profile : enumeration

Constant | Description
--- | ---
`NoProfile` | QSurfaceFormat::NoProfile
`CoreProfile` | QSurfaceFormat::CoreProfile
`CompatibilityProfile` | QSurfaceFormat::CompatibilityProfile

vendor : string